//
//  Form styles
//  _____________________________________________

//Form layout
.field {
  position: relative;
  padding: 8px 0;

  &.additional,
  &.choice {
    margin-bottom: 0;
  }
  &.note {
    margin-bottom: 16px;
  }

  .control {
    input {
      background: @color-input-bg-color;
    }
  }

  &.custom-label {
    padding: 8px 0;
    transition: .3s ease;

    .label {
      position: absolute;
      z-index: 2;
      top: 21px;
      left: 20px;
      float: none;
      padding: 0;
      text-align: left;
      pointer-events: none;
      transition: .3s ease;
      transform-origin: 0 0;
      width: auto;
    }

    &.focus .label {
      top: 6px;
      transform: scale(0.7);
      opacity: 0;
    }
  }

  .checkbox {
    margin: .75rem .5rem 0 0;
  }

  .field-tooltip-action {
    outline: none !important;
  }

  &.required {
    div.mage-error {
      position: absolute;
      top: ~'calc(100% + 4px)';
      left: 0;
      right: 0;
      padding-left: 0;
      font-size: 12px;
      line-height: 1;
    }

    .control {
      position: relative;

      &._with-tooltip input.input-text + div.mage-error {
        top: auto;
        bottom: 24px;
      }

      .field-tooltip.toggle {
        top: -25px;
      }
    }

    input.input-text {
      transition: margin-bottom .3s ease;

      &.mage-error {
        margin-bottom: 5px;
      }

      &#password.mage-error {
        margin-bottom: 30px;
      }
    }

    &.comment textarea.input-text {
      &.mage-error {
        margin-bottom: 30px;
      }
    }
  }
}

.fieldset {
  .actions-toolbar {
    padding-top: 16px;
  }
}

.field.required > .label:not(.admin__field-label):after,
.field._required > .label:not(.admin__field-label):after,
.fieldset > .field.required > .label:not(.admin__field-label):after,
.fieldset > .fields > .field.required > .label:not(.admin__field-label):after {
  color: @color-denied;
  content: "*";
  font-size: 12px;
  margin: 0 0 0 5px;
}

//Typography
.legend,
legend {
  font-size: 1rem;
  font-weight: 400;
  + br {
    display: none;
  }
}

.input-text,
input[type="text"],
input[type="email"],
input[type="password"],
input[type="number"],
select,
textarea {
  display: block;
  width: 100%;
  padding: 13px 18px;
  font-size: inherit;
  min-height: 2em;
  vertical-align: baseline;
  background: @color-input-bg-color;
  border: 1px solid @color-border-color;

  &.mage-error {
    border-color: red;
    font-style: normal;
  }

  &::-webkit-input-placeholder {
    opacity: 1;
    transition: opacity .3s ease;
  }
  &::-moz-placeholder {
    opacity: 1;
    transition: opacity .3s ease;
  }
  &:-moz-placeholder {
    opacity: 1;
    transition: opacity .3s ease;
  }
  &:-ms-input-placeholder {
    opacity: 1;
    transition: opacity .3s ease;
  }
  &:focus::-webkit-input-placeholder {
    opacity: .5;
    transition: opacity .3s ease;
  }
  &:focus::-moz-placeholder {
    opacity: .5;
    transition: opacity .3s ease;
  }
  &:focus:-moz-placeholder {
    opacity: .5;
    transition: opacity .3s ease;
  }
  &:focus:-ms-input-placeholder {
    opacity: .5;
    transition: opacity .3s ease;
  }
}

input[type="number"] {
  padding-right: 5px;
}

select[multiple="multiple"] {
  padding: 0;
  min-height: 0;
}

@media (min-width: @screen__m) {
  select {
    box-sizing: border-box;
  }
}

textarea {
  max-width: 100%;
}

p.required {
  color: @color-denied;
}

//Inline form
.form-inline {
  display: flex;
  .control {
    input,
    select,
    textarea {
      width: auto;
    }
  }
}

// Checkbox
.radio,
input[type="checkbox"],
input[type="radio"] {
  display: inline-block;
  width: auto;
}

.field.choice {
  position: relative;
  font-size: 1rem;
  line-height: 1rem;

  > input[type=checkbox],
  > input[type=radio] {
    position: absolute;
    z-index: -1;
    opacity: 0;
  }

  > input[type=checkbox],
  > input[type=radio] {
    + .label {
      &:before {
        display: inline-block;
        font-size: 16px;
        line-height: 1rem;
        width: 18px;
        height: 18px;
        font-family: @default-icon-family;
        font-style: normal;
        vertical-align: sub;
        color: @color-primary;
        text-align: center;
        padding-right: 3px;
      }

      span {
        display: inline-block;
      }
    }
  }

  > input[type=checkbox] + .label {
    &:before {
      .font-icon__pseudo('\e835', @material-icon-family);
    }
  }
  > input[type=checkbox]:checked + .label:before {
    .font-icon__pseudo('\e834', @material-icon-family);
  }
  > input[type=checkbox]:disabled:checked + .label:before {
    .font-icon__pseudo('\e834', @material-icon-family);
    pointer-events: none;
    opacity: .6;
  }
  > input[type=radio] + .label:before {
    .font-icon__pseudo('\e836', @material-icon-family);
  }
  > input[type=radio]:checked + .label:before {
    .font-icon__pseudo('\e837', @material-icon-family);
  }
  > input[type=checkbox]:disabled:checked + .label:before {
    .font-icon__pseudo('\e837', @material-icon-family);
    pointer-events: none;
    opacity: .6;
  }
  > input[type=checkbox],
  > input[type=radio] {
    &:disabled + .label:before {
      pointer-events: none;
      opacity: .6;
    }
  }
}

//
//  Messages styles
//  ---------------------------------------------

.mage-error:not(input):not(textarea) {
  font-size: .8rem;
  line-height: 1.2rem;
  font-style: italic;
  color: red;
}
.fieldset > .field:not(.choice) > .label {

}
.fieldset > .field > .label, .fieldset > .fields > .field > .label {
  font-weight: 400;

}

.customer-address-form .form-address-edit {
  @media (min-width: @screen__m) and (max-width: @screen__l) {
    padding-right: 12%;
  }
}